summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/flowtable/0012flowtable_variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/flowtable/0012flowtable_variable_0')
-rwxr-xr-xtests/shell/testcases/flowtable/0012flowtable_variable_08
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/shell/testcases/flowtable/0012flowtable_variable_0 b/tests/shell/testcases/flowtable/0012flowtable_variable_0
index 8e334224..9c03820f 100755
--- a/tests/shell/testcases/flowtable/0012flowtable_variable_0
+++ b/tests/shell/testcases/flowtable/0012flowtable_variable_0
@@ -1,7 +1,15 @@
#!/bin/bash
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_flowtable_counter)
+
set -e
+iface_cleanup() {
+ ip link del dummy1 &>/dev/null || :
+}
+trap 'iface_cleanup' EXIT
+iface_cleanup
+
ip link add name dummy1 type dummy
EXPECTED="define if_main = { lo, dummy1 }